GET api/bagapi/bag/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "7a700723-8538-4ac0-ac87-39f6e7cf8c88",
"cleanroom_type_id": "711b195b-f81b-45ed-a695-75871d0e3ff8",
"code": 3,
"date_hu": "2026-09-25T21:07:51.7415661+00:00",
"id": "948b4920-bdcc-488d-8103-ba56b7b6a339",
"site_id": "75c53730-ba77-42ba-801d-32d4a844eee2",
"wash_count": 6,
"position": 1,
"pc_id": "8c8b5c17-c08a-41d5-a3eb-054d0f1ecf9e"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>7a700723-8538-4ac0-ac87-39f6e7cf8c88</bag_status_id> <cleanroom_type_id>711b195b-f81b-45ed-a695-75871d0e3ff8</cleanroom_type_id> <code>3</code> <date_hu>2026-09-25T21:07:51.7415661+00:00</date_hu> <id>948b4920-bdcc-488d-8103-ba56b7b6a339</id> <pc_id>8c8b5c17-c08a-41d5-a3eb-054d0f1ecf9e</pc_id> <position>1</position> <site_id>75c53730-ba77-42ba-801d-32d4a844eee2</site_id> <wash_count>6</wash_count> </bag>